<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('service_categories', function (Blueprint $table) {
        $table->string('meta_title')->nullable();
        $table->string('meta_description', 255)->nullable();
        $table->string('meta_keywords')->nullable();
        $table->string('canonical_url')->nullable();

        $table->string('og_title')->nullable();
        $table->string('og_description')->nullable();
        $table->string('og_image')->nullable();

        $table->boolean('noindex')->default(false);
        $table->boolean('nofollow')->default(false);

        $table->string('schema_type')->nullable();
        $table->longText('schema_markup')->nullable();
        $table->longText('faq_schema')->nullable();
        $table->longText('org_schema')->nullable();
        $table->longText('webpage_schema')->nullable();
        $table->longText('breadcrumb_schema')->nullable();
        $table->longText('localbusiness_schema')->nullable();
});

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('service_categories', function (Blueprint $table) {
            //
        });
    }
};
